package com.example;

import java.util.ArrayList;
import java.util.Random;

public class nanosecond {
    public static void main(String[] args) {
        ArrayList<Integer> arrayList = new ArrayList<>();
        System.out.println("===================自动生成数组元素=====================");
        long start = System.nanoTime(); 
        System.out.println("开始时间（纳秒）："+start);
        try {
             Thread.sleep(0); //线程休眠
            Random random = new Random();
            for (int i = 0; i <= 1000; i++) {
                arrayList.add(random.nextInt(1000) + 1);
            }
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        long end = System.nanoTime(); 
        System.out.println("结束时间（纳秒）："+end);
        System.out.println("用时：" +(end - start)+ "纳秒"); 
        System.out.println("===================结束=====================");
        System.out.println();
        System.out.println("===================Iterator遍历数组=====================");
        long start1 = System.currentTimeMillis(); 
        System.out.println("开始时间（纳秒）："+start1);
        try {
            Thread.sleep(0); //线程休眠
            java.util.Iterator<Integer> it = arrayList.iterator();
            while (it.hasNext()) {
                System.out.println(it.next());
            } 
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        long end1 = System.currentTimeMillis(); 
        System.out.println("结束时间（纳秒）："+end1);
        System.out.println("用时：" +(end - start)+ "纳秒"); 
        System.out.println("===================结束=====================");
        System.out.println();
        System.out.println("===================获取指定元素=====================");
        long start2 = System.currentTimeMillis(); 
        System.out.println("开始时间（纳秒）："+start2);
        try {
            Thread.sleep(0); //线程休眠
            int element = arrayList.get(3);
            System.out.println("获取的元素："+element);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        long end2 = System.currentTimeMillis(); 
        System.out.println("结束时间（纳秒）："+end2);
        System.out.println("用时：" +(end - start)+ "纳秒"); 
        System.out.println("===================结束=====================");
        System.out.println();
        System.out.println("===================删除指定元素=====================");
        long start3 = System.currentTimeMillis(); 
        System.out.println("开始时间（纳秒）："+start3);
        try {
            Thread.sleep(0); //线程休眠
            int element1 = arrayList.get(3);
            arrayList.remove(element1);
            System.out.println("删除的元素："+element1);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        long end3 = System.currentTimeMillis(); 
        System.out.println("结束时间（纳秒）："+end3);
        System.out.println("用时：" +(end - start)+ "纳秒"); 
        System.out.println("===================结束=====================");
        System.out.println();
        System.out.println("===================删除所有元素=====================");
        long start4 = System.currentTimeMillis(); 
        System.out.println("开始时间（纳秒）："+start4);
        try {
            Thread.sleep(0); //线程休眠
            arrayList.removeAll(arrayList);
            System.out.println("删除所有元素");
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        long end4 = System.currentTimeMillis(); 
        System.out.println("结束时间（纳秒）："+end4);
        System.out.println("用时：" +(end - start)+ "纳秒"); 
        System.out.println("===================结束=====================");
        System.out.println();
    }

}